unit Unit1;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, TabNotBk, StdCtrls, Buttons, DFLCDPAN, Df3dlbl, ExtCtrls,
  ComCtrls;

type
  TfrmLCDPanel = class(TForm)
    TabbedNotebook1: TTabbedNotebook;
    CancelBtn: TBitBtn;
    scr_SegmentSize: TScrollBar;
    DFLCDPANEL2: TDFLCDPANEL;
    DFLCDPANEL3: TDFLCDPANEL;
    DFLCDPANEL4: TDFLCDPANEL;
    DFLCDPANEL5: TDFLCDPANEL;
    DFLCDPANEL6: TDFLCDPANEL;
    DFLCDPANEL7: TDFLCDPANEL;
    DFLCDPANEL8: TDFLCDPANEL;
    DFLCDPanel9: TDFLCDPanel;
    Timer1: TTimer;
    DFLCDPanel10: TDFLCDPanel;
    ScrollBar2: TScrollBar;
    Panel1: TPanel;
    DF3dLabel1: TDF3dLabel;
    Panel2: TPanel;
    DF3dLabel4: TDF3dLabel;
    Panel3: TPanel;
    DF3dLabel5: TDF3dLabel;
    Panel4: TPanel;
    DF3dLabel6: TDF3dLabel;
    Timer2: TTimer;
    DFLCDPanel11: TDFLCDPanel;
    Label1: TLabel;
    pan_LCD: TPanel;
    DFLCDPANEL1: TDFLCDPanel;
    scr_Width: TScrollBar;
    Label2: TLabel;
    scr_Height: TScrollBar;
    Label3: TLabel;
    btnZeichensatz: TBitBtn;
    btnText: TBitBtn;
    txt_LCD: TEdit;
    procedure scr_SegmentSizeChange(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure DFLCDPANEL2Click(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure ScrollBar2Change(Sender: TObject);
    procedure Timer2Timer(Sender: TObject);
    procedure TabbedNotebook1Change(Sender: TObject; NewTab: Integer;
      var AllowChange: Boolean);
    procedure scr_WidthChange(Sender: TObject);
    procedure scr_HeightChange(Sender: TObject);
    procedure btnZeichensatzClick(Sender: TObject);
    procedure btnTextClick(Sender: TObject);
    procedure txt_LCDChange(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmLCDPanel: TfrmLCDPanel;

implementation

{$R *.DFM}

procedure TfrmLCDPanel.FormCreate(Sender: TObject);
begin
  scr_Width.Max := pan_LCD.Width - 16;
  scr_Height.Max := pan_LCD.Height - 16;
  scr_SegmentSize.Position := 10;
  scr_Width.Position := scr_Width.Max;
  scr_Height.Position := scr_Height.Max;
  txt_LCD.Text := 'LCD';
end;

procedure TfrmLCDPanel.DFLCDPANEL2Click(Sender: TObject);
begin

  { Bei MausClick Farben ndern }
  if DFLCDPANEL2.LCDHiColor = clLime then
     begin
       DFLCDPANEL2.LCDHiColor := clAqua;
       DFLCDPANEL2.LCDLoColor := $00804000;
     end
  else
     begin
       DFLCDPANEL2.LCDHiColor := clLime;
       DFLCDPANEL2.LCDLoColor := $00004000;
     end;

end;

procedure TfrmLCDPanel.Timer1Timer(Sender: TObject);
begin
  { Uhrzeit anzeigen }
  DFLCDPanel9.Caption := TimeToStr(Time);
end;

procedure TfrmLCDPanel.ScrollBar2Change(Sender: TObject);
begin
  { neue Zahl anzeigen }
  DFLCDPanel10.Caption := IntToStr(ScrollBar2.Position);
end;

procedure TfrmLCDPanel.Timer2Timer(Sender: TObject);
begin

  { Zhlersteuerung }
  DFLCDPanel11.Caption := FormatFloat('0000', Timer2.Tag);
  Timer2.Tag := Timer2.Tag + 1;
  if Timer2.Tag > 1000 then Timer2.Tag := 0;

end;

procedure TfrmLCDPanel.TabbedNotebook1Change(Sender: TObject;
  NewTab: Integer; var AllowChange: Boolean);
begin

  { Nur bei PageIndex 2 den Timer anschalten }
  if NewTab = 2 then 
     begin
       Timer1.Enabled := True;
       Timer2.Enabled := True;
     end
  else
     begin
       Timer1.Enabled := False;
       Timer2.Enabled := False;
     end;
end;

procedure TfrmLCDPanel.scr_WidthChange(Sender: TObject);
begin
  { Breite des LCDPanels ndern }
  DFLCDPanel1.Width := scr_Width.Position;
  { horizontal zentrieren }
  DFLCDPanel1.Left := (pan_LCD.Width - DFLCDPanel1.Width) div 2;
  scr_Segmentsize.Position := DFLCDPanel1.SegmentSize;
end;

procedure TfrmLCDPanel.scr_HeightChange(Sender: TObject);
begin
  { Hhe des Panels ndern }
  DFLCDPanel1.Height := scr_Height.Position;
  { vertikal zentrieren }
  DFLCDPanel1.Top := (pan_LCD.Height - DFLCDPanel1.Height) div 2;
  scr_Segmentsize.Position := DFLCDPanel1.SegmentSize;
end;

procedure TfrmLCDPanel.scr_SegmentSizeChange(Sender: TObject);
begin
  { Segmentgre ndern }    
  DFLCDPanel1.SegmentSize := scr_SegmentSize.Position;
end;

procedure TfrmLCDPanel.btnZeichensatzClick(Sender: TObject);
begin
  DFLCDPanel2.Items.Clear;                       { Items lschen }
  DFLCDPanel2.Items.Add('01234567890');          { und neu auffllen }
  DFLCDPanel2.Items.Add('abcdefghij');
  DFLCDPanel2.Items.Add('klmnopqrst');
  DFLCDPanel2.Items.Add('uvwxyz');
  DFLCDPanel2.Items.Add(',.:-+');
  DFLCDPanel2.Invalidate;                        { LCDPanel neu zeichnen }
end;

procedure TfrmLCDPanel.btnTextClick(Sender: TObject);
begin
  DFLCDPanel2.Items.Clear;                       { Items lschen }
  DFLCDPanel2.Items.Add('DFLCDPanel');           { und neu auffllen }
  DFLCDPanel2.Items.Add('   mit');
  DFLCDPanel2.Items.Add('10 Zeichen');
  DFLCDPanel2.Items.Add('   und');
  DFLCDPanel2.Items.Add(' 5 Reihen');
  DFLCDPanel2.Invalidate;                        { LCDPanel neu zeichnen }
end;

procedure TfrmLCDPanel.txt_LCDChange(Sender: TObject);
begin
  DFLCDPanel1.Caption := txt_LCD.Text;
end;

end.
 